commit:     92ede918e3e72ab58ee6dbe218382b0f90e3ca55
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 19 08:15:39 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec 19 08:15:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92ede918

dev-python/hypothesis: Bump to 4.55.4 (stable candidate?)

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                 |  1 +
 dev-python/hypothesis/hypothesis-4.55.4.ebuild | 59 ++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index dc76e15500a..7e2d0cdfb58 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,3 +3,4 @@ DIST hypothesis-python-4.47.5.tar.gz 6805022 BLAKE2B 
737a558c794f3ac428bef4b3885
 DIST hypothesis-python-4.50.8.tar.gz 6814518 BLAKE2B 
f2c39cae3708fe88d1854cda97633ba420c32fda38093bb852ef45929762cade0f7f0d1ef696ff96f7ebe7460e8bf53f63de9c959bbbd9e8ec162196d307aac0
 SHA512 
8c77439fd029e2380afbc059d2edf977414997ba81ecdfde14dfe9dbe9515a92e701751d13879c6b879271f817e01926c2dc66945ae76eb141818da1775bc545
 DIST hypothesis-python-4.55.1.tar.gz 9002112 BLAKE2B 
16c0c0def078abf2847ce55617c1bfdc93dc085128764fff09724df148b41fd4669ddbee7d9c34f47249283e37b32585fc758e3c6d4cb2035049c3dbf382e568
 SHA512 
d079bcfce6a37ebf245288d9c615fd0328daa90d81d3dd51a38d351fef4a9da5a79c6abcb63a4f39a71240ae82c5af122f6b01c482225e81889e8474068d6c1a
 DIST hypothesis-python-4.55.2.tar.gz 9002965 BLAKE2B 
16d46687e787673f1b033037064cbc47edfe517ae6464f8ab5924336240ab87ab24d27b547f41c3888e4609ff4100347485dcc3ba414dc37dad6b170deae0ae4
 SHA512 
056821a6f03cd564cfe87a0190fb4a4e1b08068e8f5637241859023b44a7600c9ca8508aa9e38464b880c2018753e5010ec9f047959603885175e3c308c3c2bb
+DIST hypothesis-python-4.55.4.tar.gz 9004357 BLAKE2B 
93fe51581f044cf5f416d9b74b82ce2f9b42e7391beae8f67debdf50494e662f07bf109274d4e29fcf3a1c1c944597cde2a4ff9e7ca65a48f1244c3205f365af
 SHA512 
91d7d2cda32fd40d5368fdd1e60b990b8307573782d822113b6817a5c0b670610693a2f2b013f828913549946fa3dc15f45303bf7d3226bdc1e4527bc18981fb

diff --git a/dev-python/hypothesis/hypothesis-4.55.4.ebuild 
b/dev-python/hypothesis/hypothesis-4.55.4.ebuild
new file mode 100644
index 00000000000..145b07eb19e
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-4.55.4.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} pypy{,3} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis 
https://pypi.org/project/hypothesis/";
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz";
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' 'python2*' 
pypy)
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               >=dev-python/pytest-4.3[${PYTHON_USEDEP}]
+               !!<dev-python/typing-3.7.4.1
+       )
+"
+
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+src_prepare() {
+       # avoid pytest-xdist dep for one test
+       sed -i -e 's:test_prints_statistics_given_option_under_xdist:_&:' \
+               tests/pytest/test_statistics.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local pyver=$(python_is_python3 && echo 3 || echo 2)
+       pytest -vv tests/cover tests/pytest tests/py${pyver} ||
+               die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to